apiVersion: v1
kind: Service
metadata:
  name:  {{ .Values.name }}
  labels:
    app:  {{ .Values.name }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
    release: "{{ .Release.Name }}"
{{- if .Values.metrics.enabled }}
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "9187"
{{- end }}
spec:
  type: {{ .Values.service.type }}
  ports:
  - name: postgresql
    port: {{ .Values.service.port }}
    targetPort: postgresql
{{- if .Values.service.externalIPs }}
  externalIPs:
{{ toYaml .Values.service.externalIPs | indent 4 }}
{{- end }}
  selector:
    app:  {{ .Values.name }}